Six Stars

Error when opening talend 6.5.1

When i open it show this:

Capture.PNG

 

 

Log is attached

1 ACCEPTED SOLUTION

Accepted Solutions
Twelve Stars

Re: Error when opening talend 6.5.1

Might be 6.5.1 got corrupted,can you re-install and import the jobs.
Manohar B
9 REPLIES
Nine Stars

Re: Error when opening talend 6.5.1

I looked into your log... 

 

Did you update java very recently?
I've found something related to java 1.9... 
Related thread JAVA environment after update

 

!ENTRY org.eclipse.jdt.launching.macosx 4 0 2018-05-14 09:18:05.837
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx [326]
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"

	at org.eclipse.osgi.container.Module.start(Module.java:434)


Not sure if this is the case...

Please provide a clean log?

 

 

 

Seven Stars

Re: Error when opening talend 6.5.1

Check if you have a good version of java JRE.

If not, you should download the java JRE (to my memory, last version is 8)

Six Stars

Re: Error when opening talend 6.5.1

Hi, 

I didn't update java. 

I use java 1.8

Six Stars

Re: Error when opening talend 6.5.1

Yes, I do have Java 1.8 installed since forever.

 

Moderator

Re: Error when opening talend 6.5.1

Hello,

Could you please ensure JDK bin is included in your PATH environment variable and is being reached? Are you using oracle JDK 1.8?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: Error when opening talend 6.5.1

yes, java is setup and running normally.

I can open talend 6.4.1 with my old projects, but talend 6.5.1 not anymore. And it was opening normally till this week.

Twelve Stars

Re: Error when opening talend 6.5.1

Might be 6.5.1 got corrupted,can you re-install and import the jobs.
Manohar B
Moderator

Re: Error when opening talend 6.5.1

Hello,

Could you please follow the steps as below to restore the items to see if you can open talend 6.5.1 without erroe?

  1. Back up the workspace.
  2. Delete the workspace and restart the studio.
  3. Import all items from the backup of workspace done in step1.

Let us know if it is OK with you.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: Error when opening talend 6.5.1

Unfortunately, that's the only "solution" that worked.

I still have the ideia what it caused this.